### Method

# Gtk Pictureget_keep_aspect_ratio

deprecated: 4.8

#### Declaration [src]

    gboolean
    gtk_picture_get_keep_aspect_ratio (
      GtkPicture* self
    )

#### Description [src]

Returns whether the `GtkPicture` preserves its contents aspect ratio.

Deprecated since: 4.8

Use `gtk_picture_get_content_fit()` instead. This will now return `FALSE` only if `GtkPicture:content-fit` is `GTK_CONTENT_FIT_FILL`. Returns `TRUE` otherwise.

Gets property | `Gtk.Picture:keep-aspect-ratio`

#### Return value

Type: `gboolean`

`TRUE` if the self tries to keep the contents’ aspect ratio.